Get all cases
get
/fscmRestApi/resources/11.13.18.05/publicSectorCaseDetailsWithoutTransients
Request
Query Parameters
-
expand: string
When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
-
fields: string
This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.
Format: ?fields=Attribute1,Attribute2
Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2 -
finder: string
Used as a predefined finder to search the collection.
Format: ?finder=<finderName>;<variableName>=<variableValue>,<variableName2>=<variableValue2>
The following are the available finder names and corresponding finder variables:- PrimaryKey: Finds the case access that matches the specified search criteria.
Finder Variables:- CaseKey; integer; The unique identifier of the case.
- PrimaryKey: Finds the case access that matches the specified search criteria.
-
limit: integer
This parameter restricts the number of resources returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resources.
-
links: string
This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>
Example:
self,canonical -
offset: integer
Used to define the starting position of the resource collection. If offset exceeds the resource count then no resources are returned. Default value is 0.
-
onlyData: boolean
The resource item payload will be filtered in order to contain only data (no links section, for example).
-
orderBy: string
This parameter orders a resource collection based on the specified fields. The parameter value is a comma-separated string of attribute names, each optionally followed by a colon and "asc" or "desc". Specify "asc" for ascending and "desc" for descending. The default value is "asc". For example, ?orderBy=field1:asc,field2:desc
-
q: string
This query parameter defines the where clause. The resource collection will be queried using the provided expressions. The value of this query parameter is one or more expressions. Example: ?q=Deptno>=10 and <= 30;Loc!=NY
Format: ?q=expression1;expression2
You can use these queryable attributes to filter this collection resource using the q query parameter:- AccessCode; string; The access code used to claim the case.
- AgencyId; integer; The unique identifier of the agency associated with the case.
- AppealDueDate; string; The appeal due date for the case.
- AssignedCodeOfficerEmail; string; The email address of the code officer assigned to the case.
- AssignedCodeOfficerName; string; The name of the code officer assigned to the case.
- AssignedCodeOfficerPhone; string; The phone number of the code officer assigned to the case.
- AssignedCodeTechnicianEmail; string; The email address of the code technician assigned to the case.
- AssignedCodeTechnicianName; string; The name of the code technician assigned to the case.
- AssignedCodeTechnicianPhone; string; The phone number of the code technician assigned to the case.
- AssignedId; integer; The unique identifier of the code officer assigned to the case.
- CaseId; string; The case identifier.
- CaseKey; integer; The unique identifier of the case.
- ChangeReason; string; The reason for the case status change.
- ClosedBy; string; The name of the user who closed the case.
- ClosedDate; string; The date the case was closed.
- ClosedReason; string; The reason the case was closed.
- ComplianceDueDate; string; The compliance date for the case.
- CompliedOn; string; The date the case met all compliance requirements.
- CreatedBy; string; The name of the user who created the row.
- CreationDate; string; The date and time the row was created.
- CriticalFlag; boolean; Indicates whether the case is critical.
- DistrictDescription; string; The description of the case district.
- DistrictId; string; The unique identifier of the district for the case location.
- DistrictType; string; The district type for the case location.
- DistrictTypeDescription; string; The description of the case district type.
- EarlyComplyByDate; string; The earliest ???comply by??? date among open code violations for the case.
- FunctionalStatus; string; The user-defined case status name that maps to a delivered system status.
- IntakeKey; integer; The unique identifier of the intake.
- IntakeSource; string; The source of the case intake.
- InternalPriority; string; The internal priority of the case.
- IsReopened; string; Indicates whether the case is reopened.
- IssueDescription; string; The issue description.
- IssueSubtype; string; The label for the issue subtype associated with the case.
- IssueSubtypeCode; string; The description of the case status.
- IssueSubtypeId; string; The unique identifier of the case issue subtype.
- IssueType; string; The label for the issue type associated with the case.
- IssueTypeId; string; The unique identifier of the case issue type.
- LastComplyByDate; string; The latest ???comply by??? date among open code violations for the case.
- LastGisSyncDatetime; string; The label for the field that displays the most recent date and time when applications (such as permits, planning applications, and business licenses) were synchronized to GIS mapping.
- LastUpdateDate; string; The date and time the row was last updated.
- LastUpdatedBy; string; The name of the user who last updated the row.
- Latitude; number; The latitude of the case location.
- LayoutVersion; string; The version of the case intake form layout.
- LocationDescription; string; The description of the case location.
- Longitude; number; The longitude of the case location.
- MigratedDataFlag; string; The migrated data identifier.
- ObsoleteFlag; boolean; Indicates whether the case is obsolete.
- ParcelIdEntered; string; The unique identifier of the parcel retrieved from the map for the case.
- Priority; string; The case priority.
- ProcessInconsistent; string; Indicates whether the case workflow is in an inconsistent state.
- ProcessInstStatus; string; The workflow process instance status associated with the case.
- ProcessInstanceId; string; The workflow process instance identifier associated with the case.
- PropertyAddress1; string; The first address line of the case property address.
- PropertyAddress2; string; The second address line of the case property address.
- PropertyAddress3; string; The third address line of the case property address.
- PropertyAddress4; string; The fourth address line of the case property address.
- PropertyAddressId; integer; The unique identifier of the case property address.
- PropertyCity; string; The city in the case property address.
- PropertyCoordinateX; number; The x-coordinate of the case property address.
- PropertyCoordinateY; number; The y-coordinate of the case property address.
- PropertyCountry; string; The country in the case property address.
- PropertyCounty; string; The county in the case property address.
- PropertyParcelId; integer; The unique identifier of the case property parcel.
- PropertyPostalCode; string; The postal code in the case property address.
- PropertyPostalPlusFourcode; string; The postal-plus code in the case property address.
- PropertyProvince; string; The province in the case property address.
- PropertyState; string; The state in the case property address.
- ReferralCode; string; The unique identifier of the case referral body.
- ReportedById; string; The unique identifier of the person who reported the case.
- ResponsiblePartyEmail; string; The email address of the primary responsible party associated with the case.
- ResponsiblePartyName; string; The name of the primary responsible party associated with the case.
- ResponsiblePartyPhone; string; The phone number of the primary responsible party associated with the case.
- ReviewerId; integer; The unique identifier of the code technician assigned to the case.
- SourceTrxId; string; The unique identifier of the source transaction that created the case.
- Status; string; The case status.
- StatusDescription; string; The case status description.
- SubmitDate; string; The date the case was submitted.
- TotalFeeDue; number; The total fees due for the case.
- TotalFees; number; The total fees for the case.
- TotalPaid; number; The total fees paid for the case.
- TotalPayableFees; number; The total payable fees for the case.
- TotalPaymentInProcess; number; The total fees for the case with payment in progress.
-
totalResults: boolean
The resource collection representation will include the "estimated row count" when "?totalResults=true", otherwise the count is not included. The default value is "false".
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : publicSectorCaseDetailsWithoutTransients
Type:
Show Source
object-
count(required): integer
The number of resource instances returned in the current range.
-
hasMore(required): boolean
Indicates whether more resources are available on the server than the subset returned in the response. If the value is true, then there are more resources to retrieve from the server. The default value is false.
-
items: array
Items
Title:
ItemsThe items in the collection. -
limit(required): integer
The actual paging size used by the server.
-
links(required): array
Links
Title:
LinksThe link relations associated with the resource instance. -
offset(required): integer
The offset value used in the current page.
-
totalResults: integer
The estimated row count when "?totalResults=true", otherwise the count is not included.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : publicSectorCaseDetailsWithoutTransients-item-response
Type:
Show Source
object-
AccessCode: string
Title:
Access NumberRead Only:trueMaximum Length:5The access code used to claim the case. -
AgencyId: integer
(int32)
Title:
Agency IDRead Only:trueThe unique identifier of the agency associated with the case. -
AppealDueDate: string
(date)
Title:
Appeal ByRead Only:trueThe appeal due date for the case. -
AssignedCodeOfficerEmail: string
Title:
Code Officer EmailRead Only:trueMaximum Length:240The email address of the code officer assigned to the case. -
AssignedCodeOfficerName: string
Title:
Code Officer NameRead Only:trueMaximum Length:240The name of the code officer assigned to the case. -
AssignedCodeOfficerPhone: string
Title:
Code Officer Phone NumberRead Only:trueMaximum Length:60The phone number of the code officer assigned to the case. -
AssignedCodeTechnicianEmail: string
Title:
Code Technician EmailRead Only:trueMaximum Length:240The email address of the code technician assigned to the case. -
AssignedCodeTechnicianName: string
Title:
Code Technician NameRead Only:trueMaximum Length:240The name of the code technician assigned to the case. -
AssignedCodeTechnicianPhone: string
Title:
Code Technician PhoneRead Only:trueMaximum Length:60The phone number of the code technician assigned to the case. -
AssignedId: integer
(int64)
Title:
Inspector AssignedRead Only:trueThe unique identifier of the code officer assigned to the case. -
CaseId: string
Title:
Case IDRead Only:trueMaximum Length:50The case identifier. -
CaseKey: integer
Title:
Case KeyRead Only:trueThe unique identifier of the case. -
ChangeReason: string
Title:
ReasonRead Only:trueMaximum Length:1000The reason for the case status change. -
ClosedBy: string
Title:
Closed ByRead Only:trueMaximum Length:64The name of the user who closed the case. -
ClosedDate: string
(date-time)
Title:
Closed OnRead Only:trueThe date the case was closed. -
ClosedReason: string
Title:
Reason for ClosingRead Only:trueMaximum Length:450The reason the case was closed. -
ComplianceDueDate: string
(date)
Title:
Compliance DateRead Only:trueThe compliance date for the case. -
CompliedOn: string
(date)
Title:
Complied OnRead Only:trueThe date the case met all compliance requirements. -
CreatedBy: string
Title:
Created ByRead Only:trueMaximum Length:64The name of the user who created the row. -
CreationDate: string
(date-time)
Title:
Creation DateRead Only:trueThe date and time the row was created. -
CriticalFlag: boolean
Title:
CriticalRead Only:trueMaximum Length:1Indicates whether the case is critical. -
DistrictDescription: string
Read Only:
trueMaximum Length:255The description of the case district. -
DistrictId: string
Title:
District IDRead Only:trueMaximum Length:30The unique identifier of the district for the case location. -
DistrictType: string
Title:
District TypeRead Only:trueMaximum Length:50The district type for the case location. -
DistrictTypeDescription: string
Read Only:
trueMaximum Length:255The description of the case district type. -
EarlyComplyByDate: string
(date)
Title:
Earliest of Comply by Dates in ViolationsRead Only:trueThe earliest ???comply by??? date among open code violations for the case. -
FunctionalStatus: string
Title:
Transaction StatusRead Only:trueMaximum Length:15The user-defined case status name that maps to a delivered system status. -
IntakeKey: integer
(int64)
Title:
Intake KeyRead Only:trueThe unique identifier of the intake. -
IntakeSource: string
Title:
Intake SourceRead Only:trueMaximum Length:30The source of the case intake. -
InternalPriority: string
Title:
Internal PriorityRead Only:trueMaximum Length:30The internal priority of the case. -
IsReopened: string
Read Only:
trueMaximum Length:5Indicates whether the case is reopened. -
IssueDescription: string
Title:
Issue DescriptionRead Only:trueMaximum Length:1000The issue description. -
IssueSubtype: string
Title:
Issue SubtypeRead Only:trueMaximum Length:100The label for the issue subtype associated with the case. -
IssueSubtypeCode: string
Read Only:
trueMaximum Length:40The description of the case status. -
IssueSubtypeId: string
Title:
Issue Subtype IDRead Only:trueMaximum Length:50The unique identifier of the case issue subtype. -
IssueType: string
Title:
Issue TypeRead Only:trueMaximum Length:100The label for the issue type associated with the case. -
IssueTypeId: string
Title:
Issue Type IDRead Only:trueMaximum Length:50The unique identifier of the case issue type. -
LastComplyByDate: string
(date)
Title:
Latest of Comply by Dates in ViolationsRead Only:trueThe latest ???comply by??? date among open code violations for the case. -
LastGisSyncDatetime: string
(date-time)
Title:
GIS Last SyncedRead Only:trueThe label for the field that displays the most recent date and time when applications (such as permits, planning applications, and business licenses) were synchronized to GIS mapping. -
LastUpdateDate: string
(date-time)
Title:
Last Updated DateRead Only:trueThe date and time the row was last updated. -
LastUpdatedBy: string
Title:
Last Updated ByRead Only:trueMaximum Length:64The name of the user who last updated the row. -
Latitude: number
Title:
LatitudeRead Only:trueThe latitude of the case location. -
LayoutVersion: string
Read Only:
trueMaximum Length:30The version of the case intake form layout. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
LocationDescription: string
Title:
Location DescriptionRead Only:trueMaximum Length:1000The description of the case location. -
Longitude: number
Title:
LongitudeRead Only:trueThe longitude of the case location. -
MigratedDataFlag: string
Title:
Migrated CaseRead Only:trueMaximum Length:3The migrated data identifier. -
ObsoleteFlag: boolean
Title:
ObsoleteRead Only:trueMaximum Length:1Indicates whether the case is obsolete. -
ParcelIdEntered: string
Title:
Parcel NumberRead Only:trueMaximum Length:50The unique identifier of the parcel retrieved from the map for the case. -
Priority: string
Title:
PriorityRead Only:trueMaximum Length:30The case priority. -
ProcessInconsistent: string
Read Only:
trueMaximum Length:10Indicates whether the case workflow is in an inconsistent state. -
ProcessInstanceId: string
Title:
Workflow Process IDRead Only:trueMaximum Length:500The workflow process instance identifier associated with the case. -
ProcessInstStatus: string
Title:
Workflow Process StatusRead Only:trueMaximum Length:15The workflow process instance status associated with the case. -
PropertyAddress1: string
Title:
Address Line 1Read Only:trueMaximum Length:240The first address line of the case property address. -
PropertyAddress2: string
Title:
Address Line 2Read Only:trueMaximum Length:240The second address line of the case property address. -
PropertyAddress3: string
Title:
Address Line 3Read Only:trueMaximum Length:240The third address line of the case property address. -
PropertyAddress4: string
Title:
Address Line 4Read Only:trueMaximum Length:240The fourth address line of the case property address. -
PropertyAddressId: integer
(int64)
Title:
Property Address IDRead Only:trueThe unique identifier of the case property address. -
PropertyCity: string
Title:
CityRead Only:trueMaximum Length:60The city in the case property address. -
PropertyCoordinateX: number
Title:
X CoordinateRead Only:trueThe x-coordinate of the case property address. -
PropertyCoordinateY: number
Title:
Y CoordinateRead Only:trueThe y-coordinate of the case property address. -
PropertyCountry: string
Title:
CountryRead Only:trueMaximum Length:3The country in the case property address. -
PropertyCounty: string
Title:
CountyRead Only:trueMaximum Length:60The county in the case property address. -
PropertyParcelId: integer
(int64)
Title:
Parcel IDRead Only:trueThe unique identifier of the case property parcel. -
PropertyPostalCode: string
Title:
Postal CodeRead Only:trueMaximum Length:60The postal code in the case property address. -
PropertyPostalPlusFourcode: string
Title:
Postal Plus 4 CodeRead Only:trueMaximum Length:10The postal-plus code in the case property address. -
PropertyProvince: string
Title:
ProvinceRead Only:trueMaximum Length:60The province in the case property address. -
PropertyState: string
Title:
StateRead Only:trueMaximum Length:60The state in the case property address. -
ReferralCode: string
Title:
Referral CodeRead Only:trueMaximum Length:100The unique identifier of the case referral body. -
ReportedById: string
Title:
Reported ByRead Only:trueMaximum Length:64The unique identifier of the person who reported the case. -
ResponsiblePartyEmail: string
Title:
Responsible Party EmailRead Only:trueMaximum Length:254The email address of the primary responsible party associated with the case. -
ResponsiblePartyName: string
Title:
Responsible PartyRead Only:trueMaximum Length:301The name of the primary responsible party associated with the case. -
ResponsiblePartyPhone: string
Title:
Responsible Party PhoneRead Only:trueMaximum Length:100The phone number of the primary responsible party associated with the case. -
ReviewerId: integer
(int64)
Title:
Technician AssignedRead Only:trueThe unique identifier of the code technician assigned to the case. -
SourceTrxId: string
Title:
Source Transaction IDRead Only:trueMaximum Length:50The unique identifier of the source transaction that created the case. -
Status: string
Title:
StatusRead Only:trueMaximum Length:15The case status. -
StatusDescription: string
Title:
Case StatusRead Only:trueMaximum Length:30The case status description. -
SubmitDate: string
(date-time)
Title:
Submitted OnRead Only:trueThe date the case was submitted. -
TotalFeeDue: number
Title:
Total DueRead Only:trueThe total fees due for the case. -
TotalFees: number
Title:
Total FeesRead Only:trueThe total fees for the case. -
TotalPaid: number
Title:
Total PaidRead Only:trueThe total fees paid for the case. -
TotalPayableFees: number
Title:
Total PayableRead Only:trueThe total payable fees for the case. -
TotalPaymentInProcess: number
Title:
Total Payments in ProcessRead Only:trueThe total fees for the case with payment in progress.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.